<?php

$conf = array(
  "servers" => array(
      "127.0.0.1" => array(
          "type" => "bind",          // Actually, only bind is allowed
          "methodCLI" => "ssh",      // Can be ssh or sudo
          "methodFILE" => "scp",     // Can be scp or sudo
          "username" => "domdns",    // The login used to connect by SSH or sudo
          "password" => "Secret 1",  // The password used to connect by SSH
          "fingerprint" => false,    // The SSH fingerprint
          "publickeyfile" => false,  // The public key used to connect by SSH
          "privatekeyfile" => false, // The private key used to connect by SSH
          "passphrase" => false,     // The passphrase used to open the private
                                   // key
          "zonepath" => "/etc/bind/zones", // The path of the zones
      ),
/*      "127.0.0.1"=>array (
          "type"=>"bind",          // Actually, only bind is allowed
          "methodCLI"=>"sudo",     // Can be ssh or sudo
          "methodFILE"=>"sudo",    // Can be scp or sudo
          "username"=>"domdns",    // The login used to connect by SSH or sudo
          "password"=>"",          // The password used to connect by SSH
          "fingerprint"=>FALSE,    // The SSH fingerprint
          "publickeyfile"=>FALSE,  // The public key used to connect by SSH
          "privatekeyfile"=>FALSE, // The private key used to connect by SSH
          "passphrase"=>FALSE,     // The passphrase used to open the private
                                   // key
          "zonepath"=>"/etc/bind/zones", // The path of the zones
      ),*/
  ),

  "database" => array(
     "dsn" => "sqlite:/tmp/database.db",
     "username" => null,
     "password" => null,
     "driver_options" => null,
     "tableprefix" => "",
  ),

  "zone" => array(
     "soa-server" => "dns1.domain.tld.",      // The Server responsible of zones
                                            // (with end dot)
     "soa-email" => "dnsmaster.domain.tld.",  // The mail administrator
                                            // (with end dot)
     "soa-refresh" => 3600,                   // The SOA refresh parameter
     "soa-retry" => 900,                      // The SOA retry parameter
     "soa-expire" => 604800,                  // The SOA expire parameter
     "soa-minttl" => 3600),                   // The SOA minttl parameter
  "authorization" => array(
    // The users allow to manage the
    // rights
    "administrators" => array("anonymous"),
    // The default group when creating a new zone. Must already exists
    "defaultGroup" => "TEST",
  ),
);
