#!/usr/bin/php
<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

use Models\Configuration;
use Domframework\Cli;

$oldpath = getcwd();
chdir(dirname(__FILE__) . "/..");
require_once("vendor/autoload.php");

$configuration = new Configuration();
$timezone = $configuration->get("timezone");
ini_set("date.timezone", $timezone);
chdir($oldpath);

$cli = new Cli();
$cli->controllersDir("Controllers/*.php");
$cli->modelsDir("Models/*.php");
$cli->run();
