<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Views;

class Confirm
{
    public static function call()
    {
        $content = "";
        $content .= "<!-- Confirmation of removal -->\n";
        $content .= "<div id='modalConfirmAction' class='modal fade' tabindex='-1' ";
        $content .= "role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>" .
            "\n";
        $content .= "  <div class='modal-dialog'>\n";
        $content .= "    <div class='modal-content'>\n";
        $content .= "      <div class='modal-header'>\n";
        $content .= "        <button type='button' class='close' data-dismiss='modal' ";
        $content .= "aria-hidden='true'>×</button>\n";
        $content .= "        <h3 class='modal-title' id='myModalLabel'>";
        $content .= _("Confirmation the removal") . "</h3>\n";
        $content .= "      </div>\n";
        $content .= "      <div class='modal-body'>\n";
        $content .= "        " . _("Are you sure to remove the entry?") . "\n";
        $content .= "      </div>\n";
        $content .= "      <div class='modal-footer'>\n";
        $content .= "        <button type='button' class='btn btn-default' " .
            "data-dismiss='modal'>" . _("Cancel") . "</button>\n";
        $content .= "         <button type='button' class='btn btn-primary' " .
            "id='btn-delete'>" . _("Delete") . "</button>\n";
        $content .= "      </div>\n";
        $content .= "    </div>\n";
        $content .= "  </div>\n";
        $content .= "</div>\n";
        $content .= "<script>";
        $content .= "// Preload image\n";
        $content .= "var my_image = new Image();\n";
        $content .= "my_image.src = '{baseurl}public/ico/wait-transparent.gif';\n";
        $content .= "</script>\n";
        $content .= "<!-- End of confirmation of removal -->\n";
        return $content;
    }
}
