<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Views;

use Domframework\Markdown;

class Help
{
    /** Display the help page */
    public function help()
    {
        $mdcontent = _("# Shortcuts
You can see here the shortcuts:
- A or N : Add a new record or a new zone
- E : Edit the records of a zone
- Delete : Delete a selected record or zone
- M : Modify a record or a zone");

        $content = "";
        // Breadcrumbs
        $content .= "<ol class='breadcrumb'>\n";
        $content .= "  <li><a href='{baseurlresource}zone'>" . _("Zones") .
                "</a></li>\n";
        $content .= "</ol>\n";

        $md = new Markdown();
        $content .= $md->html($mdcontent);
        return array("content" => $content,
                  "title" => _("Help page"));
    }
}
