$(document).ready(function()
{
  // Initialization : create a hidden file HTML input
  $("<input type='file' style='display:none;' id='inputfile'/>").appendTo ("#uploadFile");
  if (window.File && window.FileReader)
  {
    // If the browser manage the FileReader, display the Upload button
    $("#uploadFile").show ();
  }
  else
  {
    $("#uploadFile").hide ();
  }

  // Add the events to upload button (display the browser selection file window)
  $("#uploadFile").click (function ()
  {
    document.getElementById('inputfile').click();
  });

  // When the user select a file and click on OK, raise this event
  $("#inputfile").change (function ()
  {
    f = this.files[0];
    // Based on the http://www.html5rocks.com/en/tutorials/file/dndfiles/
    if (f.type !== "")
    {
      alert ("Incorrect file provided : invalid type ("+f.type+")" );
      return false;
    }
    var reader = new FileReader();
    // Closure to capture the file information.
    reader.onload = (function(theFile)
    {
      return function(e)
      {
        $("#form_import").html (e.target.result);
      };
    })(f);

    // Read in the image file as a data URL.
    reader.readAsText(f);
  });
});
