/** Send the selected zones to the DNS servers and reload them */

/** Wait a bi-dimensionnal array */
function exportAll (zonesViews, index)
{
  //console.log ("EXPORT "+zonesViews[index][0]+"/"+zonesViews[index][1]);
  $("#modalReloadAllZones_status").html (msgExport+" "+zonesViews[index][0]+"/"+
                                         zonesViews[index][1]);
  var percent = 100*index / (zonesViews.length)
  percent = percent.toFixed();
  $("#modalReloadAllZones_progress").attr ("aria-valuenow", percent);
  $("#modalReloadAllZones_progress").css ("width", percent+"%");
  $("#modalReloadAllZones_span").html (percent+"%");
  if (zonesViews[index][2] === "RO")
  {
    exportAllReally (zonesViews, index);
    return true;
  }
  $.ajax ({
    url: baseurl+"rest/servers/export/"+zonesViews[index][0]+"/"+
         zonesViews[index][1],
    type: 'GET',
  })
  .done (function () {
    exportAllReally (zonesViews, index);
    return true;
  })
  .fail (function (jqXHR, textStatus) {
    $("#modalReloadAllZones_status").html (JSON.parse (jqXHR.responseText));
    $("#modalReloadAllZones_btn").attr ("disabled", false);
  })
  .always (function () {
    return true;
  });
}

function exportAllReally (zonesViews, index)
{
  if (index < zonesViews.length-1)
  {
    exportAll (zonesViews, index+1);
  }
  else
  {
    $("#modalReloadAllZones_status").html (msgUpdateZoneList);
    $.ajax ({
      url: baseurl+"rest/servers/zonelistconfiguration",
      type: 'GET',
    })
    .done (function () {
      $("#modalReloadAllZones_status").html (msgReload);
      percent = 100;
      $("#modalReloadAllZones_progress").attr ("aria-valuenow", percent);
      $("#modalReloadAllZones_progress").css ("width", percent+"%");
      $("#modalReloadAllZones_span").html (percent+"%");
      $.ajax ({
        url: baseurl+"rest/servers/reload",
        type: 'GET',
      })
      .done (function () {
        $("#modalReloadAllZones_status").html (msgDone);
        $("#modalReloadAllZones_btn").attr ("disabled", false);
      })
      .fail (function (jqXHR, textStatus) {
        $("#modalReloadAllZones_status").html (JSON.parse (jqXHR.responseText));
        $("#modalReloadAllZones_btn").attr ("disabled", false);
      })
      .always (function () {
        $('#exportReloadAll').removeClass("active");
        return true;
      });
    })
    .fail (function (jqXHR, textStatus) {
      $("#modalReloadAllZones_status").html (JSON.parse (jqXHR.responseText));
      $("#modalReloadAllZones_btn").attr ("disabled", false);
    });
  }
  return true;
}

$(document).ready(function()
{
  $('#exportReloadAll').click (function (event)
  {
    $("#modalReloadAllZones_btn").attr ("disabled", true);
    $('#modalReloadAllZones').modal({show:true});
    $('#exportReloadAll').addClass("active");
    var zonesViews = [ ];
    $.each( table.rows().data(), function(i, row){
      if (row[0] == ".") row[0] = "dot";
      if (row[1] == ".") row[1] = "dot";
      zonesViews.push( [ row[0], row[1], row[6] ]);
    });

    exportAll (zonesViews, 0);
  });
});
